%define srcname src-al-anvar
%define subrel 1

Name: al-anvar
Version: 0.6.0
Release: %mkrel 6
Summary: Holy Quran Study Software
Group: Editors
URL: http://sourceforge.net/projects/al-anvar/
Source0: http://sourceforge.net/projects/al-anvar/files/%{version}/%{srcname}-%{version}.tar.gz
License: GPLv3
BuildRequires: qt4-devel
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(QtWebKit)

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: fonts-ttf-al-anvar-scheherazade
Requires: fonts-ttf-al-anvar-noorehira

%description
Al-Anvar is a cross-platform Quran Study Software. It uses "Tanzil.net" and
"Zekr.org" database as its database,
It has lots of features:
    - Text of the Quran
    - Adding different translations of the Quran
    - Adding interpretation of the Quran
    - Direct download and install for translations and 
      interpretations and so on through program
    - Comparison between translations
    - Comparison between interpretations
    - Putting note in the following of each verse
    - Classifying the subject for verses of the Quran (with classifying the
      subject possibility by user)
    - Repeated verses
    - Related verses in terms of subject
    - Reading online Quran (with storing downloaded files) and offline by
      different readers of the Quran from website http://everyayah.com
    - Repeat adjustment of reading of verses
    - reading verses in the range a chapter (sura) or a division or
      a component.
    - Advanced search
    - Presenting chapters or chapters on different tabs
    - Saving with Html, PDF and ODF formats
    - Changing the font and color and size of the text and translations of the
      Quran and also font, style and themes of software separately
      
%package -n fonts-ttf-al-anvar-scheherazade
Group: System/Fonts/True type
Summary: Scheherazade TrueType fonts
BuildArch: noarch
Conflicts: al-anvar < 0.5.0-2

%description -n fonts-ttf-al-anvar-scheherazade
This package provides scheherazade TrueType fonts.

%package -n fonts-ttf-al-anvar-irsans
Group: System/Fonts/True type
Summary: Irsans TrueType fonts
BuildArch: noarch
Conflicts: al-anvar < 0.5.0-2

%description -n fonts-ttf-al-anvar-irsans
This package provides irsans TrueType fonts.

%package -n fonts-ttf-al-anvar-noorehira
Group: System/Fonts/True type
Summary: Noorehira TrueType fonts
BuildArch: noarch
Conflicts: al-anvar < 0.5.0-2

%description -n fonts-ttf-al-anvar-noorehira
This package provides noorehira TrueType fonts.

%prep
%setup -q -n %{srcname}-%{version}


%build
%qmake_qt4

%install
%make INSTALL_ROOT=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/{applications,icons}
mv %{buildroot}%{_datadir}/app-install/desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/
mv %{buildroot}%{_datadir}/app-install/icons/alanvar.png %{buildroot}%{_iconsdir}/alanvar.png
rm -r %{buildroot}%{_datadir}/app-install

#----------------------------------------------------------------------------

%files
%doc README COPYING INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/alanvar*.png
%{_iconsdir}/*.png

%files -n fonts-ttf-al-anvar-scheherazade
%dir %{_xfontdir}/truetype/font-al-anvar
%{_xfontdir}/truetype/font-al-anvar/ScheherazadeRegOT.ttf

%files -n fonts-ttf-al-anvar-noorehira
%dir %{_xfontdir}/truetype/font-al-anvar
%{_xfontdir}/truetype/font-al-anvar/noorehira.ttf



%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.6.0-6.1.mga6
+ Revision: 959481
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 blino <blino> 0.6.0-5.1.mga6
+ Revision: 896548
- explicitely buildrequire phonon-devel (dep removed from qt4-devel)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.1.mga5
+ Revision: 742594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-3.1.mga5
+ Revision: 677730
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.6.0-2.1.mga4
+ Revision: 538547
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tarakbumba <tarakbumba> 0.6.0-1.mga4
+ Revision: 489717
- Updated to latest stable version

* Wed Apr 24 2013 lmenut <lmenut> 0.5.0-2.mga3
+ Revision: 411106
- split fonts in noarch sub-packages (mga #9225, #8820)

* Sat Mar 30 2013 zezinho <zezinho> 0.5.0-1.mga3
+ Revision: 406740
- imported package al-anvar

